%Plot multiple components in same figure using subplot
%  h = PlotComponents(S,Label,Style,Axis,x)
%  
%Input parameters
%  S     : Matrix with components in the columns.
%  Label : Text for ylabel (optional).
%  Style : Plot style (optional).
%  Axis  : Axis properties, e.g. 'tight' (optional).
%  x     : Horizontal axis values (optional).
%
%Output parameters
%  h     : Plot handles.
%
%2002-11-14 | Michael Vinther | s973971@student.dtu.dk
function h = PlotComponents(S,Label,Style,Axis,x)

if nargin<3
  Style = 'b';
end

for i=size(S,2):-1:1
  subplot(size(S,2),1,i)
  if nargin>4
    Handle(i) = plot(x,S(:,i),Style);
  else
    Handle(i) = plot(S(:,i),Style);
  end
  if nargin>3
    axis(Axis)
  end
  if nargin>1
    ylabel([Label num2str(i)]);
  end
end
if nargout>0
  h = Handle;
end
  